#
# ERIS 2009
#
# This example shows how to edit raw visibilities
# This somewhat violates the AIPS philosophy
#
# comments to Hans-Rainer Kloeckner 
# hrk@astro.ox.ac.uk
#
from time import sleep
from math import atan2,pi,sqrt
#
import AIPS
from AIPSTask import AIPSTask
from AIPSTV import AIPSTV
from AIPSData import AIPSUVData, AIPSImage
#
from Wizardry.AIPSData import AIPSUVData as AIPSDataVIS
#


AIPS.userno = 456                          # set the aips user number

AIPS.log    = open('./TUT5.log','w')       # define the log file

# Define a datafile for convenience 
data = ['SIM','UVMOD', 1, 1]
#
#
# Use AIPS task to print antenna table  (AN)
#
#
uvdata2 = AIPSUVData(data[0],data[1],data[2],data[3])
#

sleep(5)

# Define the baseline to plot
basel = [1,9]
IF    = 0
chan  = 0
st    = 0
#
#
newweight,weight  = [],[]
#
visdata = AIPSDataVIS(data[0],data[1],data[2],data[3])
for visibility in visdata:
    if visibility.baseline[0] == basel[0] and visibility.baseline[1] == basel[1]:
        # 
        # Here the weights of a visibility set has been changed to 0 
        # in AIPS that indicate that the data has been flagged
        #
        weight.append(visibility.visibility[IF,chan,st,2])
        visibility.visibility[IF,chan,st,2] = 0
        visibility.update()

newvisdata = AIPSDataVIS(data[0],data[1],data[2],data[3])
for visibility in newvisdata:
    if visibility.baseline[0] == basel[0] and visibility.baseline[1] == basel[1]:
        # 
        # Here the weights of a visibility set has been changed to 0 
        # in AIPS that indicate that the data has been flagged
        #
        newweight.append(visibility.visibility[IF,chan,st,2])

for i in range(len(weight)):
    print 'original weight ',weight[i],
    print '\tmodified weight ',newweight[i]
